## gypsy-daemon 0.6-9%2b0m5

=== debian/control ===
Source: gypsy-daemon
Section: misc
Priority: optional
Maintainer: Quanyi Sun <Quanyi.Sun@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev, libdbus-glib-1-dev, libbluetooth3-dev, gtk-doc-tools
Standards-Version: 3.6.0

Package: gypsy-daemon
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gypsy
 Gypsy the location daemon

Package: gypsy-daemon-dbg
Priority: extra
Section: devel
Architecture: any
Depends: gypsy-daemon (=${Source-Version})
Description: gypsy-daemon debug info
 Debug files for gypsy-daemon

Package: libgypsy-dev
Priority: optional
Section: libdevel
Architecture: any
Description: Gypsy header files
 Header files
