## gypsy-daemon 0.6-9+0m5

=== debian/changelog ===
gypsy-daemon (0.6-9+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chetak Marulasiddappa <ext-chetak.marulasiddappa@nokia.com>  Thu, 04 Jun 2009 11:01:55 +0300

gypsy-daemon (0.6-9) unstable; urgency=low

  * Fixes segfaults in the NMEA parser with invalid data.

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Wed, 03 Jun 2009 16:50:56 +0300

gypsy-daemon (0.6-8) unstable; urgency=low

  * Fixes: NB#109469 - Coverity warnings
  * small packaging cleanups

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Fri, 17 Apr 2009 13:59:13 +0300

gypsy-daemon (0.6-7) unstable; urgency=low

  * Add a libgypsy-dev package containing the header files.

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Thu, 05 Feb 2009 16:24:00 +0200

gypsy-daemon (0.6-6) unstable; urgency=low

  * Install the .service file to the correct directory and add
    a User line.

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Thu, 30 Oct 2008 18:42:29 +0200

gypsy-daemon (0.6-5) unstable; urgency=low

  * Updated libbluetooth version.

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Mon, 18 Aug 2008 15:14:16 +0300

gypsy-daemon (0.6-4) unstable; urgency=low

  * Added dependency to gtk-doc-tools.

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Wed, 09 Jul 2008 13:41:04 +0300

gypsy-daemon (0.6-3) unstable; urgency=low

  * Added rule to run autogen.sh
  * Removed rule to install init script, since we don't use it.

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Wed, 09 Jul 2008 12:52:16 +0300

gypsy-daemon (0.6-2) unstable; urgency=low

  * Updated changelog to make forbidden words filter happy.

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Wed, 09 Jul 2008 11:25:34 +0300

gypsy-daemon (0.6-1) unstable; urgency=low

  * Updated to Gypsy version 0.6 (but left some pieces away).

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Tue, 08 Jul 2008 14:59:16 +0300

gypsy (0.5-1) unstable; urgency=low

  * Initial Debianisation for Maemo.

 -- Quanyi Sun <Quanyi.Sun@nokia.com>  Tue, 25 Mar 2008 12:04:04 +0200
